com.jscape.inet.dns.record

## Class MailInfo

- java.lang.Object
- - com.jscape.inet.dns.record.DnsRecord
  - - com.jscape.inet.dns.record.MailInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class MailInfo
      extends DnsRecord
      implements java.io.Serializable

  MailInfo record represents a mailbox or mail list information. Experimental per RFC 1035
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorMailbox()` Gets error mailbox.
    `java.lang.String` | `getResponsibleMailbox()` Gets responsible mailbox.
    `java.lang.String` | `toString()` Gets String representation of this record.

    - ### Methods inherited from class com.jscape.inet.dns.record.DnsRecord

      `getRecordClass, getRecordName, getRecordTTL, getRecordType, init, isValid`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MailInfo

          public MailInfo()

  - ### Method Detail

    - #### getResponsibleMailbox

          public java.lang.String getResponsibleMailbox()

      Gets responsible mailbox. A domain-name which specifies a mailbox which is responsible for the mailing list or mailbox. If this domain name names the root, the owner of the MailInfo RR is responsible for itself. Note that many existing mailing lists use a mailbox X-request for the ResponsibleMailBox field of mailing list X, e.g., Msgroup-request for Msgroup. This field provides a more general mechanism.
      Returns:
        responsible mailbox

    - #### getErrorMailbox

          public java.lang.String getErrorMailbox()

      Gets error mailbox. A domain-name which specifies a mailbox which is to receive error messages related to the mailing list or mailbox specified by the owner of the MailInfo RR (similar to the ERRORS-TO: field which has been proposed). If this domain name names the root, errors should be returned to the sender of the message.
      Returns:
        error mailbox

    - #### toString

          public java.lang.String toString()

      Gets String representation of this record.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved